Advisories ยป MGASA-2013-0258

Updated libtiff packagess fix multiple security vulnerabilities

Publication date: 22 Aug 2013
Type: security
Affected Mageia releases : 2 , 3
CVE: CVE-2013-4231 , CVE-2013-4232

Description

Updated libtiff packages fix security vulnerabilities:

Pedro Ribeiro discovered a buffer overflow flaw in rgb2ycbcr, a tool to convert
RGB color, greyscale, or bi-level TIFF images to YCbCr images, and multiple
buffer overflow flaws in gif2tiff, a tool to convert GIF images to TIFF. A
remote attacker could provide a specially-crafted TIFF or GIF file that, when
processed by rgb2ycbcr and gif2tiff respectively, would cause the tool to crash
or, potentially, execute arbitrary code with the privileges of the user running
the tool (CVE-2013-4231)

Pedro Ribeiro discovered a use-after-free flaw in the t2p_readwrite_pdf_image()
function in tiff2pdf, a tool for converting a TIFF image to a PDF document. A
remote attacker could provide a specially-crafted TIFF file that, when processed
by tiff2pdf, would cause tiff2pdf to crash or, potentially, execute arbitrary
code with the privileges of the user running tiff2pdf (CVE-2013-4232).
                

References

SRPMS

2/core

3/core